%define	upstream_name	 Test-NoWarnings
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Make sure you didn't emit any warnings while testing
License:    LGPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Builder) >= 0.860.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::Tester) >= 0.107.0
BuildArch:  noarch

%description
In general, your tests shouldn't produce warnings. This modules causes
any warnings to be captured and stored. It automatically adds an extra
test that will run when your script ends to check that there were no
warnings. If there were any warnings, the test will give a "not ok" and
diagnostics of where, when and what the warning was, including a stack
trace of what was going on when the it occurred.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%license LICENSE
%{_mandir}/*/*
%{perl_vendorlib}/Test


%changelog
* Fri Jan 31 2025 daviddavid <daviddavid> 1.60.0-3.mga10
+ Revision: 2143892
- rebuild for perl 5.40

* Mon Mar 21 2022 umeabot <umeabot> 1.60.0-2.mga9
+ Revision: 1814836
- Mageia 9 Mass Rebuild

* Fri Jul 30 2021 tv <tv> 1.60.0-1.mga9
+ Revision: 1738175
- update to 1.06

* Wed Feb 12 2020 umeabot <umeabot> 1.40.0-9.mga8
+ Revision: 1497460
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.40.0-8.mga7
+ Revision: 1271981
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.40.0-7.mga6
+ Revision: 1034445
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.40.0-6.mga6
+ Revision: 930684
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.40.0-5.mga5
+ Revision: 750162
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.40.0-4.mga5
+ Revision: 686502
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.40.0-3.mga4
+ Revision: 515242
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 373670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 01 2011 kharec <kharec> 1.40.0-1.mga2
+ Revision: 174761
- update to 1.04
+ jquelin <jquelin>
- update to 1.03

* Wed Jan 19 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 24062
- fix spec file
- imported package perl-Test-NoWarnings

